Marker (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class Marker

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
          edu.harvard.hul.ois.jhove.module.jpeg2000.Marker

    public class Marker

extends MarkerSegment

This is a subclass of MarkerSegment for Markers. Markers are those elements of a codestream which have no parameters. It can be subclassed for specific Markers, or used directly to provide default behavior.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
`_ccs, _cs, _dstream, _module, _repInfo, COC, COD, COM, CRG, EOC, EPH, PLM, PLT, POC, PPM, PPT, QCC, QCD, RGN, SIZ, SOC, SOD, SOP, SOT, TLM`

Constructor Summary
`Marker()`

Method Summary
`protected boolean` | `process(int bytesToEat)` Default processing.
`protected int` | `readMarkLen()` Overrides the superclass to return 0 without consuming any bytes from the DataInputStream.

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
`getMainOrTile, isMarker, markerSegmentMaker, nCompBytes, setCodestream, setContCodestream, setDataInputStream, setModule, setRepInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Marker

    public Marker()

Method Detail

### readMarkLen

    protected int readMarkLen()
                       throws java.io.IOException

  Overrides the superclass to return 0 without consuming any bytes from the DataInputStream.

  Overrides:
    `readMarkLen` in class `MarkerSegment`
  Throws:
    `java.io.IOException`

### process

    protected boolean process(int bytesToEat)

  Default processing. Does nothing, and always returns true.

  Specified by:
    `process` in class `MarkerSegment`
  Parameters:
    `bytesToEat` - The number of bytes that must be consumed. For a Marker, this number will always be 0. If it is 0 for a MarkerSegment, the number of bytes to consume is unknown.
  Returns:
    `true` if segment is well-formed, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD